var express = require('express');
var { join } = require('path');

/**
 * 获取菜单库文件
 * @param {express.request} request 请求
 * @param {express.response} response 响应
 */
function getNcMenuJS(request, response) {
  response.sendFile(join(__dirname, '../../dist/<%= getSeparatorCase(microFrontendName) %>/nc-menu.js'));
}

module.exports = {
  'GET /nc-menu.js': getNcMenuJS
};
